--
-- Vehicle
-- Base class for all vehicles
-- Functions of specializations called by vehicle:
--   bool validateAttacherJoint(implement, jointDesc, dt), return true if joint should be revalidated
--
-- @author  Stefan Geiger
-- @date  08/04/07
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.


Vehicle = {};

function Vehicle.prerequisitesPresent(specializations)
    return true;
end;

function Vehicle.registerJointType(name)

Vehicle.registerJointType("PBExtra");


function Vehicle:load(xmlFile)
end;

function Vehicle:delete()
end;

function Vehicle:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Vehicle:keyEvent(unicode, sym, modifier, isDown)
end;

function Vehicle:onAttach()

end;

function Vehicle:update(dt)
 
end;

